import { T as TranslationsContext } from './translationsContext-4de1415e.js';
export { T as TranslationsContext } from './translationsContext-4de1415e.js';
import React__default, { useMemo } from 'react';

const TranslationsProvider = ({ locale = 'en-PH', values, children, }) => {
    const contextValue = useMemo(() => {
        if (!values) {
            return null;
        }
        return {
            locale,
            values,
        };
    }, [locale, values]);
    return (React__default.createElement(TranslationsContext.Provider, { value: contextValue }, children));
};

export { TranslationsProvider };
